using Android.App;
using Android.OS;
using Android.Widget;
using Cirrious.CrossCore;
using Cirrious.MvvmCross.Droid.Views;
using Cirrious.MvvmCross.Plugins.Messenger;

namespace AndroidWpf.Droid.Views
{
    [Activity(Label = "View for FirstViewModel")]
    public class FirstView : MvxActivity
    {

        private IMvxMessenger messenger;
        // ReSharper disable NotAccessedField.Local
        private MvxSubscriptionToken token;
        // ReSharper restore NotAccessedField.Local

        protected override void OnCreate(Bundle bundle)
        {
            base.OnCreate(bundle);
            SetContentView(Resource.Layout.FirstView);
            messenger = Mvx.Resolve<IMvxMessenger>();
            token = messenger.SubscribeOnMainThread<Core.Messages.ErrorMessage>(onError);
        }

        private void onError(Core.Messages.ErrorMessage obj)
        {
            if (obj.Errors == null || obj.Errors.Count<1) return;
            var s = "";
            if (obj.Errors.Count == 1)
            {
                s = obj.Errors[0];
                return;
            }
            s = string.Join("\n", obj.Errors);
            Toast.MakeText(this, s, ToastLength.Long).Show();
        }
    }
}