﻿using System.Windows.Controls;
using Cirrious.CrossCore;
using Cirrious.MvvmCross.Plugins.Messenger;
using Cirrious.MvvmCross.Wpf.Views;

namespace AndroidWpf.Wpf.Views
{
    /// <summary>
    /// Interaction logic for FirstView.xaml
    /// </summary>
    public partial class FirstView : MvxWpfView
    {

        private IMvxMessenger messenger;
        // ReSharper disable NotAccessedField.Local
        private MvxSubscriptionToken token;
        // ReSharper restore NotAccessedField.Local

        public FirstView()
        {
            InitializeComponent();
            messenger = Mvx.Resolve<IMvxMessenger>();
            token = messenger.SubscribeOnMainThread<Core.Messages.ErrorMessage>(onError);
        }

        private void onError(Core.Messages.ErrorMessage obj)
        {
            if (obj.Errors == null || obj.Errors.Count < 1)
            {
                TxtError.Text = string.Empty;
                return;
            }
            string s;
            if (obj.Errors.Count == 1)
            {
                s = obj.Errors[0];
                TxtError.Text = s;
                return;
            }
            s = string.Join(", ", obj.Errors);
            TxtError.Text = s;
        }
        

    }
}

        
        